# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-celery
%global srcname sphinx_celery

%bcond_with test

Name:           python-%{pypi_name}
Version:        2.1.3
Release:        %mkrel 2
Summary:        Sphinx Celery Theme
Group:          Development/Python
License:        BSD
URL:            https://github.com/celery/sphinx_celery
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%if %{with test}
BuildRequires:  python3dist(pytest)
%endif

%description
This project provides the Celery sphinx theme and common Sphinx utilities.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?py_provides:%py_provides python3-%{srcname}}
Requires:       python3dist(sphinx) >= 2.0.0
Obsoletes:      python3-sphinx_celery < 2.0.0-7

%description -n python3-%{pypi_name}
This project provides the Celery sphinx theme and common Sphinx utilities.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.3-2.mga10
+ Revision: 2239459
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 2.1.3-1.mga10
+ Revision: 2156601
- new version: 2.1.3
- rebuild for python 3.13

* Fri Dec 27 2024 papoteur <papoteur> 2.0.0-11.mga10
+ Revision: 2130489
- add and use pytest

* Tue Dec 19 2023 papoteur <papoteur> 2.0.0-10.mga10
+ Revision: 2019502
- Mass Rebuild - Python 3.12

* Mon Mar 06 2023 daviddavid <daviddavid> 2.0.0-9.mga9
+ Revision: 1947909
- fix more compatibility with Sphinx 6.0

* Fri Mar 03 2023 daviddavid <daviddavid> 2.0.0-8.mga9
+ Revision: 1946648
- backport upstream patches to fix compatibility with Sphinx 6.0

* Mon Oct 24 2022 wally <wally> 2.0.0-7.mga9
+ Revision: 1899001
- rename src.rpm as python-sphinx-celery
- switch build to use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 2.0.0-6.mga9
+ Revision: 1832710
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 2.0.0-5.mga9
+ Revision: 1781254
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.0-4.mga9
+ Revision: 1732765
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1532751
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 2.0.0-2.mga8
+ Revision: 1443001
- rebuild for python-3.8

* Sun Aug 04 2019 wally <wally> 2.0.0-1.mga8
+ Revision: 1427232
- new version 2.0.0
- drop python2 support
- disable tests for now

* Mon Jan 07 2019 shlomif <shlomif> 1.4.0-3.mga7
+ Revision: 1350985
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1290199
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1222276
- BR python2-sphinx
- BR sphinx
- imported package python-sphinx_celery

